<?php
/* **
 * @application PhpMyShopping
 * @part        Admin boutique
 * @file        taxe.php
 * @path        ./admin/
 * @author      Stephane DINE <stephane@phpmyshopping.org>
 * @site        http://www.phpmyshopping.org
 * @license     http://www.php.net/license/3_0.txt  PHP License 3.0
 *
 * PHP version 5
 *
 * Gestion des taxes
 */

if ((!isset($_SESSION['LoginOk']) or $_SESSION['LoginOk'] != 'IdentOk')) {
    header('Location: ./login.php');
}

require_once 'include/class.taxe.php';
$taxe = new Taxe();

switch ($C3) {
/** -------------------------------------------------------------------------------------
 * Liste des taxes
 */
case 'list':
	echo $taxe->sous_menu(array(10));
	echo $taxe->listTax();
	break;

/** -------------------------------------------------------------------------------------
 * Formulaire de saisie d'une taxe
 */
case 'insert':
	echo $taxe->sous_menu(array(9));
	echo $taxe->formTax();
	break;

/** -------------------------------------------------------------------------------------
 * Enregistrement de la taxe
 */
case 'insert_ok':
	echo $taxe->sous_menu(array(10));

	if (($_POST['TaxName']) and ($_POST['TaxValue'])) {
		$champ['TaxName']  = $_POST['TaxName'];
		$champ['TaxValue'] = str_replace(',', '.', $_POST['TaxValue']);
		$taxe->insert_sql('Tax', $champ);
	}

	echo $taxe->listTax();
	break;

/** -------------------------------------------------------------------------------------
 * Affichage de la taxe en mode edition
 */
case 'edit':
	echo $taxe->sous_menu(array(9));
	echo $taxe->formTax($_GET['ID_Tax']);
	break;

/** -------------------------------------------------------------------------------------
 * Enregistrement des modifications apportees a la taxe
 */
case 'update':
	echo $taxe->sous_menu(array(10));

	if (($_POST['TaxName']) and ($_POST['TaxValue'])) {
		$sql = 'UPDATE Tax SET TaxName = "'.$_POST['TaxName'].'", TaxValue = "'.str_replace(',', '.', $_POST['TaxValue']).'" WHERE ID_Tax = '.$_POST['ID_Tax'];
		$taxe->query($sql);
	}

	echo $taxe->listTax($_SESSION['ID_Shop']);
	break;

/** -------------------------------------------------------------------------------------
 * Demande de confirmation pour la suppression d'une taxe
 */
case 'delete_confirm':
	echo $taxe->sous_menu(array(9, 10));
	echo '
	<p class="message_confirm">Souhaitez-vous vraiment effacer cette taxe ?<br /><br />
	  [<a class="lien_admin" href="?C1=CO&C2=TA&C3=delete_ok&ID_Tax='.$_GET['ID_Tax'].'">Oui</a>]
	  <b>::</b>
	  [<a class="lien_admin" href="?C1=CO&C2=TA&C3=list">Non</a>]
	</p>';

	$verrifTax = $taxe->verrifProductTax($_GET['ID_Tax']);

	if ($taxe->nbTax() == false) {
		/**
		 * Il reste une seule tax definie pour la boutique, interdiction de l'effacer
		 */
		echo '<b class="red">ATTENTION !</b><br /><br />
		<b class="violet">C\'est l\'unique taxe d&eacute;finie dans votre boutique, si vous ne souhaitez pas l\'utiliser, mettez la &agrave; z&eacute;ro.</b>';
	} elseif ($verrifTax > 0) {
		echo '
		<p style="padding-left: 30px;">
		  <b class="red">ATTENTION !</b><br /><br />
		  <b class="violet">Il y a <b class="red">'.$verrifTax.'</b> produit(s) trouv&eacute;(s) avec la taxe que vous souhaitez effacer.<br />
		  La demande de suppresion de la taxe <b class="red">'.$taxe->getField('Tax', 'TaxName', 'ID_Tax', $_GET['ID_Tax']).'</b> est donc momentan&eacute;ment suspendue.<br />
		  Vous pouvez n&eacute;anmoins affecter une autre taxe &agrave; ce(s) produit(s) en en choisissant une autres dans la liste ci-dessous :</b><br /><br />

		  <form action="" method="POST">
			<input type="hidden" name="C1" value="CO" />
			<input type="hidden" name="C2" value="TA" />
			<input type="hidden" name="C3" value="update_delete" />
			<input type="hidden" name="ID_OldTax" value="'.$_GET['ID_Tax'].'" />
			<select name="ID_NewTax" size="1">';

		$sqlTaxListSelect = 'SELECT ID_Tax, TaxName, TaxValue FROM Tax WHERE ID_Tax != '.$_GET['ID_Tax'].' ORDER BY TaxName ASC';
		$queryTax = $taxe->query($sqlTaxListSelect);

		while ($resultTax = @mysql_fetch_array($queryTax)) {
			echo '<option value="'.$resultTax['ID_Tax'].'">'.$resultTax['TaxName'].' - '.$resultTax['TaxValue'].' %</option>'."\r\n";
		}

		echo '
			</select><br /><br />
			<input type="submit" name="UpdateProduct" value="Mettre &agrave; jour les produits avec la nouvelle taxe" />
		  </form>
		</p>';
	}

	break;

/** -------------------------------------------------------------------------------------
 * Mise a jour produits qui on un ID_Tax egal a celui qui sera efface
 */
case 'update_delete':
	echo $taxe->sous_menu(array(10));
	$taxe->query('UPDATE Product SET ID_Tax = '.$_POST['ID_NewTax'].' WHERE ID_Tax = '.$_POST['ID_OldTax']);
	$taxe->query('DELETE FROM Tax WHERE ID_Tax = '.$_POST['ID_OldTax']);
	echo $taxe->listTax();
	break;

/** -------------------------------------------------------------------------------------
 * Suppression d'une taxe
 */
case 'delete_ok':
	echo $taxe->sous_menu(array(10));
	$taxe->query('DELETE FROM Tax WHERE ID_Tax = '.$_GET['ID_Tax']);
	echo $taxe->listTax();
	break;

/** -------------------------------------------------------------------------------------
 * Affichage par defaut
 */
default:
	echo $taxe->sous_menu(array(10));
	echo $taxe->listTax();
}
?>
